﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System.Collections.Generic;
using HeuristicLab.Core;
using HEAL.Attic;

namespace HeuristicLab.Problems.DataAnalysis {
  [StorableType("1D33FC0B-8F56-496E-B218-F478AAD088FB")]
  public interface ITransformation : IParameterizedItem {
    string ShortName { get; }
    string Column { get; }
  }

  [StorableType("A08CF2F2-FA26-406D-9F20-15E0480B25E1")]
  public interface ITransformation<T> : ITransformation {
    void ConfigureParameters(IEnumerable<T> data);
    IEnumerable<T> ConfigureAndApply(IEnumerable<T> data);
    IEnumerable<T> Apply(IEnumerable<T> data);
  }
}
